Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmDevicesSecurityCenters({
deviceId: "string",
networkId: "string",
});
export const merakiNetworksSmDevicesSecurityCentersExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_devices_security_centers(device_id="string",
network_id="string")
pulumi.export("merakiNetworksSmDevicesSecurityCentersExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmDevicesSecurityCenters(ctx, &networks.GetSmDevicesSecurityCentersArgs{
DeviceId: pulumi.StringRef("string"),
NetworkId: pulumi.StringRef("string"),
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmDevicesSecurityCentersExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmDevicesSecurityCenters.Invoke(new()
{
DeviceId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSmDevicesSecurityCentersExample"] = example.Apply(getSmDevicesSecurityCentersResult => getSmDevicesSecurityCentersResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmDevicesSecurityCentersArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmDevicesSecurityCenters(GetSmDevicesSecurityCentersArgs.builder()
.deviceId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksSmDevicesSecurityCentersExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmDevicesSecurityCenters
arguments:
deviceId: string
networkId: string
outputs:
merakiNetworksSmDevicesSecurityCentersExample: ${example.items}
Using getSmDevicesSecurityCenters
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmDevicesSecurityCenters(args: GetSmDevicesSecurityCentersArgs, opts?: InvokeOptions): Promise<GetSmDevicesSecurityCentersResult>
function getSmDevicesSecurityCentersOutput(args: GetSmDevicesSecurityCentersOutputArgs, opts?: InvokeOptions): Output<GetSmDevicesSecurityCentersResult>def get_sm_devices_security_centers(device_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSmDevicesSecurityCentersResult
def get_sm_devices_security_centers_output(device_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmDevicesSecurityCentersResult]func GetSmDevicesSecurityCenters(ctx *Context, args *GetSmDevicesSecurityCentersArgs, opts ...InvokeOption) (*GetSmDevicesSecurityCentersResult, error)
func GetSmDevicesSecurityCentersOutput(ctx *Context, args *GetSmDevicesSecurityCentersOutputArgs, opts ...InvokeOption) GetSmDevicesSecurityCentersResultOutput> Note: This function is named GetSmDevicesSecurityCenters in the Go SDK.
public static class GetSmDevicesSecurityCenters
{
public static Task<GetSmDevicesSecurityCentersResult> InvokeAsync(GetSmDevicesSecurityCentersArgs args, InvokeOptions? opts = null)
public static Output<GetSmDevicesSecurityCentersResult> Invoke(GetSmDevicesSecurityCentersInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmDevicesSecurityCentersResult> getSmDevicesSecurityCenters(GetSmDevicesSecurityCentersArgs args, InvokeOptions options)
public static Output<GetSmDevicesSecurityCentersResult> getSmDevicesSecurityCenters(GetSmDevicesSecurityCentersArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmDevicesSecurityCenters:getSmDevicesSecurityCenters
arguments:
# arguments dictionaryThe following arguments are supported:
- device_
id str - deviceId path parameter. Device ID
- network_
id str - networkId path parameter. Network ID
getSmDevicesSecurityCenters Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Devices Security Centers Item> - Array of ResponseSmGetNetworkSmDeviceSoftwares
- Device
Id string - deviceId path parameter. Device ID
- Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Devices Security Centers Item - Array of ResponseSmGetNetworkSmDeviceSoftwares
- Device
Id string - deviceId path parameter. Device ID
- Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Devices Security Centers Item> - Array of ResponseSmGetNetworkSmDeviceSoftwares
- device
Id String - deviceId path parameter. Device ID
- network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Devices Security Centers Item[] - Array of ResponseSmGetNetworkSmDeviceSoftwares
- device
Id string - deviceId path parameter. Device ID
- network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Devices Security Centers Item] - Array of ResponseSmGetNetworkSmDeviceSoftwares
- device_
id str - deviceId path parameter. Device ID
- network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmDeviceSoftwares
- device
Id String - deviceId path parameter. Device ID
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSmDevicesSecurityCentersItem
- App
Id string - The Meraki managed application Id for this record on a particular device.
- Bundle
Size int - The size of the software bundle.
- Created
At string - When the Meraki record for the software was created.
- Device
Id string - The Meraki managed device Id.
- Dynamic
Size int - The size of the data stored in the application.
- Id string
- The Meraki software Id.
- Identifier string
- Software bundle identifier.
- Installed
At string - When the Software was installed on the device.
- Ios
Redemption boolCode - A boolean indicating whether or not an iOS redemption code was used.
- Is
Managed bool - A boolean indicating whether or not the software is managed by Meraki.
- Itunes
Id string - The itunes numerical identifier.
- License
Key string - The license key associated with this software installation.
- Name string
- The name of the software.
- Path string
- The path on the device where the software record is located.
- Redemption
Code int - The redemption code used for this software.
- Short
Version string - Short version notation for the software.
- Status string
- The management status of the software.
- To
Install bool - A boolean indicating this software record should be installed on the associated device.
- To
Uninstall bool - A boolean indicating this software record should be uninstalled on the associated device.
- Uninstalled
At string - When the record was uninstalled from the device.
- Updated
At string - When the record was last updated by Meraki.
- Vendor string
- The vendor of the software.
- Version string
- Full version notation for the software.
- App
Id string - The Meraki managed application Id for this record on a particular device.
- Bundle
Size int - The size of the software bundle.
- Created
At string - When the Meraki record for the software was created.
- Device
Id string - The Meraki managed device Id.
- Dynamic
Size int - The size of the data stored in the application.
- Id string
- The Meraki software Id.
- Identifier string
- Software bundle identifier.
- Installed
At string - When the Software was installed on the device.
- Ios
Redemption boolCode - A boolean indicating whether or not an iOS redemption code was used.
- Is
Managed bool - A boolean indicating whether or not the software is managed by Meraki.
- Itunes
Id string - The itunes numerical identifier.
- License
Key string - The license key associated with this software installation.
- Name string
- The name of the software.
- Path string
- The path on the device where the software record is located.
- Redemption
Code int - The redemption code used for this software.
- Short
Version string - Short version notation for the software.
- Status string
- The management status of the software.
- To
Install bool - A boolean indicating this software record should be installed on the associated device.
- To
Uninstall bool - A boolean indicating this software record should be uninstalled on the associated device.
- Uninstalled
At string - When the record was uninstalled from the device.
- Updated
At string - When the record was last updated by Meraki.
- Vendor string
- The vendor of the software.
- Version string
- Full version notation for the software.
- app
Id String - The Meraki managed application Id for this record on a particular device.
- bundle
Size Integer - The size of the software bundle.
- created
At String - When the Meraki record for the software was created.
- device
Id String - The Meraki managed device Id.
- dynamic
Size Integer - The size of the data stored in the application.
- id String
- The Meraki software Id.
- identifier String
- Software bundle identifier.
- installed
At String - When the Software was installed on the device.
- ios
Redemption BooleanCode - A boolean indicating whether or not an iOS redemption code was used.
- is
Managed Boolean - A boolean indicating whether or not the software is managed by Meraki.
- itunes
Id String - The itunes numerical identifier.
- license
Key String - The license key associated with this software installation.
- name String
- The name of the software.
- path String
- The path on the device where the software record is located.
- redemption
Code Integer - The redemption code used for this software.
- short
Version String - Short version notation for the software.
- status String
- The management status of the software.
- to
Install Boolean - A boolean indicating this software record should be installed on the associated device.
- to
Uninstall Boolean - A boolean indicating this software record should be uninstalled on the associated device.
- uninstalled
At String - When the record was uninstalled from the device.
- updated
At String - When the record was last updated by Meraki.
- vendor String
- The vendor of the software.
- version String
- Full version notation for the software.
- app
Id string - The Meraki managed application Id for this record on a particular device.
- bundle
Size number - The size of the software bundle.
- created
At string - When the Meraki record for the software was created.
- device
Id string - The Meraki managed device Id.
- dynamic
Size number - The size of the data stored in the application.
- id string
- The Meraki software Id.
- identifier string
- Software bundle identifier.
- installed
At string - When the Software was installed on the device.
- ios
Redemption booleanCode - A boolean indicating whether or not an iOS redemption code was used.
- is
Managed boolean - A boolean indicating whether or not the software is managed by Meraki.
- itunes
Id string - The itunes numerical identifier.
- license
Key string - The license key associated with this software installation.
- name string
- The name of the software.
- path string
- The path on the device where the software record is located.
- redemption
Code number - The redemption code used for this software.
- short
Version string - Short version notation for the software.
- status string
- The management status of the software.
- to
Install boolean - A boolean indicating this software record should be installed on the associated device.
- to
Uninstall boolean - A boolean indicating this software record should be uninstalled on the associated device.
- uninstalled
At string - When the record was uninstalled from the device.
- updated
At string - When the record was last updated by Meraki.
- vendor string
- The vendor of the software.
- version string
- Full version notation for the software.
- app_
id str - The Meraki managed application Id for this record on a particular device.
- bundle_
size int - The size of the software bundle.
- created_
at str - When the Meraki record for the software was created.
- device_
id str - The Meraki managed device Id.
- dynamic_
size int - The size of the data stored in the application.
- id str
- The Meraki software Id.
- identifier str
- Software bundle identifier.
- installed_
at str - When the Software was installed on the device.
- ios_
redemption_ boolcode - A boolean indicating whether or not an iOS redemption code was used.
- is_
managed bool - A boolean indicating whether or not the software is managed by Meraki.
- itunes_
id str - The itunes numerical identifier.
- license_
key str - The license key associated with this software installation.
- name str
- The name of the software.
- path str
- The path on the device where the software record is located.
- redemption_
code int - The redemption code used for this software.
- short_
version str - Short version notation for the software.
- status str
- The management status of the software.
- to_
install bool - A boolean indicating this software record should be installed on the associated device.
- to_
uninstall bool - A boolean indicating this software record should be uninstalled on the associated device.
- uninstalled_
at str - When the record was uninstalled from the device.
- updated_
at str - When the record was last updated by Meraki.
- vendor str
- The vendor of the software.
- version str
- Full version notation for the software.
- app
Id String - The Meraki managed application Id for this record on a particular device.
- bundle
Size Number - The size of the software bundle.
- created
At String - When the Meraki record for the software was created.
- device
Id String - The Meraki managed device Id.
- dynamic
Size Number - The size of the data stored in the application.
- id String
- The Meraki software Id.
- identifier String
- Software bundle identifier.
- installed
At String - When the Software was installed on the device.
- ios
Redemption BooleanCode - A boolean indicating whether or not an iOS redemption code was used.
- is
Managed Boolean - A boolean indicating whether or not the software is managed by Meraki.
- itunes
Id String - The itunes numerical identifier.
- license
Key String - The license key associated with this software installation.
- name String
- The name of the software.
- path String
- The path on the device where the software record is located.
- redemption
Code Number - The redemption code used for this software.
- short
Version String - Short version notation for the software.
- status String
- The management status of the software.
- to
Install Boolean - A boolean indicating this software record should be installed on the associated device.
- to
Uninstall Boolean - A boolean indicating this software record should be uninstalled on the associated device.
- uninstalled
At String - When the record was uninstalled from the device.
- updated
At String - When the record was last updated by Meraki.
- vendor String
- The vendor of the software.
- version String
- Full version notation for the software.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
